[3dprinter-general] Bug#922208: slic3r: missing dependencies for gui mode

Martin HaaƟ vvvrrooomm at gmail.com
Wed Feb 13 09:31:31 GMT 2019


Package: slic3r
Version: 1.3.0+dfsg1-3+b1
Severity: normal

Dear Maintainer,
the package contains the pure command line tool, as well as the gui, if started with parameter --gui.
A menu item for the gui is created during pacakge install as well. 
Neither the menuitem nor the command 'slic3 --gui' did work, due to missing packages:
libwx-glcanvas-perl
libopengl-perl
libwx-perl
After apt install of these packages the gui starts up as expected
Regards,
 Martin

-- System Information:
Debian Release: buster/sid
  APT prefers testing
  APT policy: (1501, 'testing'), (1501, 'stable')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 4.20.0-trunk-amd64 (SMP w/8 CPU cores)
Kernel taint flags: TAINT_OOT_MODULE, TAINT_UNSIGNED_MODULE
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8), LANGUAGE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled

Versions of packages slic3r depends on:
ii  libboost-filesystem1.67.0              1.67.0-13
ii  libboost-geometry-utils-perl           0.15-2+b7
ii  libboost-system1.67.0                  1.67.0-13
ii  libboost-thread1.67.0                  1.67.0-13
ii  libc6                                  2.28-6
ii  libencode-locale-perl                  1.05-1
ii  libexpat1                              2.2.6-1
ii  libgcc1                                1:8.2.0-16
ii  libio-stringy-perl                     2.111-2
ii  libmath-convexhull-monotonechain-perl  0.1-1+b7
ii  libmath-geometry-voronoi-perl          1.3-3+b1
ii  libmath-planepath-perl                 126-1
ii  libmoo-perl                            2.003004-2
ii  libperl5.24 [libtime-hires-perl]       5.24.1-3+deb9u4
ii  libstdc++6                             8.2.0-16
pn  libstorable-perl                       <none>
ii  perl                                   5.28.1-4
pn  perlapi-5.28.0                         <none>

Versions of packages slic3r recommends:
pn  libclass-xsaccessor-perl  <none>
pn  libio-all-perl            <none>
ii  libopengl-perl            0.7000+dfsg-1+b1
pn  libpdf-api2-perl          <none>
pn  libsvg-perl               <none>
ii  libwx-glcanvas-perl       0.09-5+b1
ii  libwx-perl                1:0.9932-5+b1
pn  libxml-sax-expatxs-perl   <none>

slic3r suggests no packages.

-- no debconf information



More information about the 3dprinter-general mailing list